Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogicx.jsp.tags
Interface BeanParamInterpreter

public interface BeanParamInterpreter

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.Object` | `get(java.lang.String objectid, javax.servlet.http.HttpSession session)`
`void` | `processAll(javax.servlet.ServletRequest rq, javax.servlet.http.HttpSession session)`
`void` | `processDelete(javax.servlet.ServletRequest rq, javax.servlet.http.HttpSession session)`
`void` | `processNew(javax.servlet.ServletRequest rq, javax.servlet.http.HttpSession session)`
`void` | `processShift(javax.servlet.ServletRequest rq, javax.servlet.http.HttpSession session)`
`void` | `set(javax.servlet.ServletRequest rq, javax.servlet.http.HttpSession session)`

Method Detail

### set

    public void set(javax.servlet.ServletRequest rq,
                    javax.servlet.http.HttpSession session)
             throws java.lang.Exception

### get

    public java.lang.Object get(java.lang.String objectid,
                                javax.servlet.http.HttpSession session)
                         throws java.lang.Exception

### processNew

    public void processNew(javax.servlet.ServletRequest rq,
                           javax.servlet.http.HttpSession session)
                    throws java.lang.Exception

### processDelete

    public void processDelete(javax.servlet.ServletRequest rq,
                              javax.servlet.http.HttpSession session)
                       throws java.lang.Exception

### processShift

    public void processShift(javax.servlet.ServletRequest rq,
                             javax.servlet.http.HttpSession session)
                      throws java.lang.Exception

### processAll

    public void processAll(javax.servlet.ServletRequest rq,
                           javax.servlet.http.HttpSession session)
                    throws java.lang.Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD